Create or get share token for wishlist
Generate a shareable token for a wishlist. Returns existing valid token if one exists (otherwise creates a new one). The expires_at field is optional (can be null for no expiration, or a timestamp).
POST
/api/v1/{app_id}/wishlists/{id}/shareAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
idstringrequiredUUID of the wishlist
Request body
requiredapplication/jsonShare token request (expires_at can be null or a timestamp)
expires_atstringResponses
200
OK
created_atstringexpires_atstringtokenstringwishlist_idstring400
Invalid request or expiration time
detailsstring[] | nullmessagestringsuccessboolean401
Unauthorized
detailsstring[] | nullmessagestringsuccessboolean404
Wishlist not found
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean